﻿
.leaflet-top.leaflet-left {
    top: calc(2.5% + 299px);
    left: unset;
    right: 10px;
}

.leaflet-top.leaflet-right {
    top: 10px;
    right: 0;
}


#GeoSearchResultsSection .searchAndClearContainer div .clearButton {
    margin-left: 0;
}

.leaflet-control-layers-expanded {
    padding: 2px;
    margin-left: -50px !important;
}

    .leaflet-control-layers-expanded .leaflet-control-layers-list {
        width: 100px;
    }

#GeoSearchResultsSection .inputContainer {
    border-left: 1px solid #dadce0;
/*    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    border-top-right-radius: unset;
    border-bottom-right-radius: unset;*/
}

#GeoSearchResultsSection input.autoCompleteList {
    /*    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;*/
    border-right: unset;
    border-top-right-radius: unset;
    border-bottom-right-radius: unset;
    padding-right: unset;
    padding-left: 10px;
    margin:0px;
}

#GeoSearchResultsSection .dropdown-menu li{
    width:180px;
}

.markercluster-list.leaflet-bar.leaflet-control.ui-resizable{
    width:800px;
}

.custom-autocomplete {
    right: unset;
    left: 38px !important;
}

.form-check-input {
    margin-top: unset;
    margin-left: unset;
}

#GeoSearchResultsSection button:not(.dropdown-item) {
    border-top-left-radius: unset;
    border-bottom-left-radius: unset;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
}

#GeoSearchResultsSection .dropdown .swithchSearchBtn {
    border-radius: 8px 0 0 8px;
}
#GeoSearchResultsSection .dropdown .swithchSearchBtn.open {
    border-radius: 8px 0 0 0;
}

#GeoSearchResultsSection .searchAndClearContainer div.actionContainer {
    margin-left: unset;
    margin-right: 10px;
}

#toolbar {
    right: unset;
    left: -352px;
    transition: .5s left ease-out;
}

    #toolbar .hamburger {
        left: unset;
        right: -25px;
        transform: rotate(180deg);
    }

    #toolbar.open {
        left: 10px;
        right: unset;
    }

        #toolbar.open .switchContent {
            right: -106px;
            left: unset;
        }

#GeoSearchResultsSection button.selectResults {
    border-radius: 8px;
}

#GeoSearchResultsSection .searchAndClearContainer {
    right: unset;
    left: 10px;
    transition: left .5s ease-out;
}

.no-res-div {
    margin-left: 0;
    left: 10px;
    right: unset;
}

.limit-search-div {
    margin-left: 0;
    left: 10px;
    right: unset;
}

.sideBtnsContainer {
    right: -135%;
    left: unset;
}

.floatMessageBox {
    right: 10px;
    left: unset;
}

.leaflet-right {
    right: auto;
}
.btnLocTypes {
    right: 10px;
    left: unset;
}

    .btnLocTypes #arrow {
        transform: rotate(180deg);
    }
        .btnLocTypes #arrow.rotate {
            transform: rotate(0deg);
        }

    .sideBarContent {
        padding-right: unset;
        padding-left: 5px;
    }

.arrowContainer #prevPage, .arrowContainer #nextPage {
    transform: rotate(180deg);
}
#mapContainer .hamburger {
    right: unset;
    left: -25px;
    transition: left .5s ease-out;
    border-radius: 0 3px 3px 0;
}

#mapContainer.open .hamburger {
    left: 362px;
    right: unset;
}

#mapContainer.toggle-results .hamburger {
    left: 0;
    right: unset;
}


#mapContainer.open .toolbar-arrow-left {
    display: block;
}

#mapContainer.open .toolbar-arrow-right {
    display: none;
}

#mapContainer:not(.open) .toolbar-arrow-right {
    display: block;
}

#mapContainer:not(.open) .toolbar-arrow-left {
    display: none;
}

#GeoSearchResultsSection .searchAndClearContainer.toggle-results {
    right: unset;
    left: -352px;
}

#resutls h4, .facetsHeader h4 {
    padding-right: unset;
    padding-left: 10px;
}

#toolbar.open .sideBtnsContainer {
    left: unset;
}

li.facetItem div:first-child span {
    margin-right: unset;
    margin-left: 4px;
}

li.facetItem div.selectYearContainer {
    padding-right: 14px;
    padding-left: unset;
}

#GeoSearchResultsSection button.selectYearsBtn {
    border-radius: 8px;
}

.leaflet-control-fullscreen {
    position: absolute;
    top: -238px;
    right: 0;
}

.leaflet-pm-toolbar {
    top: 44px;
}

.leaflet-control-layers {
    top: 44px;
}

    .leaflet-control-layers.leaflet-control{
        top:88px;
    }

.leaflet-control-layers-expanded {
    right: 50px !important; 
}

    @media screen and (max-width: 1279px) {
        .leaflet-top.leaflet-right {
        top: 10px;
    }

    i.clearBtn {
        margin-left: 2px;
        margin-right: unset;
    }

    .sideBtnsContainer {
        right: -157%;
    }

    #mapContainer.open .hamburger {
        left: 310px;
    }
}

@media screen and (max-width: 991px) {
    #toolbar.open .switchContent {
        right: -87px;
        width: 80px
    }

    #mapContainer.open .hamburger {
        left: 270px;
    }

    .sideBtnsContainer {
        right: -180%;
    }
}

@media screen and (max-width: 767px) {

    #GeoSearchResultsSection.mobileMenu .searchAndClearContainer div.search .searchWrapper .returnToMapBtn {
        transform: rotate(180deg);
    }


    #GeoSearchResultsSection.mobileMenu .searchAndClearContainer div.search {
        margin-left: 0px;
    }

    #GeoSearchResultsSection .searchAndClearContainer div.search .searchWrapper .searchButton.open {
        border-bottom-left-radius: unset;
        border-bottom-right-radius: 8px;
    }

    #GeoSearchResultsSection .inputContainer.open {
        border-bottom-right-radius: unset;
        border-bottom-left-radius: 8px;
    }

    #GeoSearchResultsSection input#geoSearchInput.open, input#subjectInput.open {
        border-bottom-left-radius: 8px;
    }

    #toolbar.open.mobileMenu {
        left: 0;
    }

    #GeoSearchResultsSection.mobileMenu .searchAndClearContainer {
        left: 0;
    }
}
